# Generated by Django 5.0.6 on 2024-06-17 17:13

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('beer', '0003_delete_recipe_batchrecipe_batch_recipe_and_more'),
        ('yeast', '0004_alter_propogation_options'),
    ]

    operations = [
        migrations.CreateModel(
            name='Fermentable',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
                ('unit_cost', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True)),
                ('notes', models.TextField(blank=True, max_length=500, null=True)),
                ('user_notes', models.TextField(blank=True, max_length=500, null=True)),
                ('grain_category', models.IntegerField(choices=[(1, 'Base'), (2, 'Wheat/Oat'), (3, 'Crystal'), (4, 'Roasted'), (5, 'Acid')], default=1)),
                ('fermentable_type', models.IntegerField(choices=[(1, 'Grain'), (2, 'Adjunct')], default=1)),
                ('diastatic_power', models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True)),
                ('potential', models.DecimalField(decimal_places=4, max_digits=6)),
                ('protein', models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True)),
                ('attenuation', models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True)),
                ('lovibond', models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True)),
                ('max_in_batch', models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True)),
                ('moisture', models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True)),
                ('non_fermentable', models.BooleanField(blank=True, null=True)),
                ('ibu_per_unit', models.DecimalField(decimal_places=4, default=0, max_digits=6)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Hop',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
                ('unit_cost', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True)),
                ('notes', models.TextField(blank=True, max_length=500, null=True)),
                ('user_notes', models.TextField(blank=True, max_length=500, null=True)),
                ('ibu', models.DecimalField(decimal_places=4, default=0, max_digits=6)),
                ('use', models.IntegerField(choices=[(1, 'Bittering'), (2, 'Aroma'), (3, 'Both')], default=1)),
                ('hop_type', models.IntegerField(choices=[(1, 'Pellet'), (2, 'Leaf'), (3, 'Cryo'), (4, 'CO2 Extract')], default=1)),
                ('alpha', models.DecimalField(decimal_places=2, default=0, max_digits=6)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Mash',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Misc',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
                ('unit_cost', models.DecimalField(blank=True, decimal_places=2, max_digits=6, null=True)),
                ('notes', models.TextField(blank=True, max_length=500, null=True)),
                ('user_notes', models.TextField(blank=True, max_length=500, null=True)),
                ('use', models.IntegerField(choices=[(1, 'Mash'), (2, 'Sparge'), (3, 'Boil'), (4, 'Flamout'), (5, 'Primary'), (6, 'Secondary'), (7, 'Cold Crash'), (8, 'Bottling')], default=1)),
                ('misc_type', models.IntegerField(choices=[(1, 'Spice'), (2, 'Fining'), (3, 'Water Agent'), (4, 'Herb'), (5, 'Flavor'), (6, 'Other')], default=1)),
                ('water_adjustment', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Supplier',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Unit',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
                ('unit_type', models.CharField(choices=[('WT', 'Weight'), ('VL', 'Volume')], default='WT', max_length=3)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='batchrecipe',
            name='efficiency',
            field=models.DecimalField(blank=True, decimal_places=4, max_digits=6, null=True),
        ),
        migrations.AddField(
            model_name='batchrecipe',
            name='mash',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='beer.mash'),
        ),
        migrations.CreateModel(
            name='MashStep',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
                ('step_temp', models.DecimalField(decimal_places=2, max_digits=6)),
                ('ramp_time', models.DecimalField(decimal_places=2, max_digits=6)),
                ('step_time', models.DecimalField(decimal_places=2, max_digits=6)),
                ('step_type', models.IntegerField(choices=[(1, 'infusion'), (2, 'temperature'), (3, 'decoction')], default=1)),
                ('parent_mash', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.mash')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RecipeFermentable',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('quantity', models.DecimalField(decimal_places=4, max_digits=6)),
                ('fermentable', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.fermentable')),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.batchrecipe')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RecipeHop',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('quantity', models.DecimalField(decimal_places=4, max_digits=6)),
                ('hop', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.hop')),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.batchrecipe')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RecipeMisc',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('quantity', models.DecimalField(decimal_places=4, max_digits=6)),
                ('misc', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.misc')),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.batchrecipe')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RecipeYeast',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.batchrecipe')),
                ('yeast', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yeast.strain')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='misc',
            name='supplier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='beer.supplier'),
        ),
        migrations.AddField(
            model_name='hop',
            name='supplier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='beer.supplier'),
        ),
        migrations.AddField(
            model_name='fermentable',
            name='supplier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='beer.supplier'),
        ),
        migrations.AddField(
            model_name='misc',
            name='units',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='beer.unit'),
        ),
        migrations.AddField(
            model_name='hop',
            name='units',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='beer.unit'),
        ),
        migrations.AddField(
            model_name='fermentable',
            name='units',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='beer.unit'),
        ),
    ]
