# Generated by Django 5.0.6 on 2024-06-18 23:23

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('beer', '0006_batchrecipe_batch_size_alter_batchrecipe_efficiency'),
    ]

    operations = [
        migrations.AddField(
            model_name='fermentable',
            name='parent',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='beer.fermentable'),
        ),
        migrations.AddField(
            model_name='hop',
            name='parent',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='beer.hop'),
        ),
        migrations.AddField(
            model_name='mash',
            name='parent',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='beer.mash'),
        ),
        migrations.AddField(
            model_name='misc',
            name='parent',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='beer.misc'),
        ),
        migrations.AlterField(
            model_name='fermentable',
            name='fermentable_type',
            field=models.IntegerField(choices=[(1, 'Grain'), (2, 'Adjunct'), (3, 'Sugar')], default=1),
        ),
        migrations.CreateModel(
            name='EquipmentProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=50)),
                ('hlt_deadspace', models.DecimalField(decimal_places=2, default=0.25, max_digits=6)),
                ('mt_deadspace', models.DecimalField(decimal_places=2, default=0.25, max_digits=6)),
                ('mt_capacity', models.DecimalField(decimal_places=2, default=10, max_digits=6)),
                ('grain_absorption', models.DecimalField(decimal_places=2, default=0.12, max_digits=6)),
                ('kettle_deadspace', models.DecimalField(decimal_places=2, default=0.25, max_digits=6)),
                ('kettle_plumbing_loss', models.DecimalField(decimal_places=2, default=0.25, max_digits=6)),
                ('kettle_boil_rate', models.DecimalField(decimal_places=2, default=0.5, max_digits=6)),
                ('batch_volume', models.DecimalField(decimal_places=2, default=5.5, max_digits=6)),
                ('leaf_hop_trub', models.DecimalField(decimal_places=2, default=0.0625, max_digits=6)),
                ('pellet_hop_trub', models.DecimalField(decimal_places=2, default=0.025, max_digits=6)),
                ('hops_remain_kettle', models.BooleanField(default=True)),
                ('mt_initial_hear', models.DecimalField(decimal_places=2, default=0.74, max_digits=6)),
                ('mt_heat_loss_hour', models.DecimalField(decimal_places=2, default=2.0, max_digits=6)),
                ('parent', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='beer.equipmentprofile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RecipeEquipment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('equipment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.equipmentprofile')),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beer.batchrecipe')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
