# Generated by Django 5.0.6 on 2024-06-05 12:12

import config.extras
import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('beer', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Manufacturer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=100)),
                ('website', models.URLField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Storage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=100)),
                ('viability_loss', models.DecimalField(decimal_places=4, max_digits=6)),
                ('viability_interval', models.IntegerField(default=30)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Strain',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=100)),
                ('long_name', models.CharField(blank=True, max_length=100)),
                ('manufacturer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='yeast.manufacturer')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Batch',
            fields=[
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('id', config.extras.DateUUIDField(blank=True, editable=False, primary_key=True, serialize=False, unique=True)),
                ('production_date', models.DateField()),
                ('source', models.CharField(choices=[('ST', 'Store'), ('PR', 'Propogated'), ('SL', 'Slurry')], default='ST', max_length=3)),
                ('notes', models.TextField(blank=True, max_length=500, null=True)),
                ('source_batch', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='beer.batch')),
                ('strain', models.ForeignKey(default=0, on_delete=django.db.models.deletion.PROTECT, to='yeast.strain')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Yeast',
            fields=[
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('id', config.extras.DateUUIDField(blank=True, editable=False, primary_key=True, serialize=False, unique=True)),
                ('generation_num', models.IntegerField(default=0)),
                ('cellcount', models.IntegerField(default=100)),
                ('pitched', models.BooleanField(default=False)),
                ('date_pitched', models.DateField(blank=True, null=True)),
                ('data_web', models.URLField(blank=True, null=True)),
                ('lot_number', models.CharField(blank=True, max_length=15, null=True)),
                ('notes', models.TextField(blank=True, max_length=500, null=True)),
                ('batch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yeast.batch')),
                ('pitched_batch', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='beer.batch')),
                ('storage', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='yeast.storage')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='batch',
            name='parent',
            field=models.ManyToManyField(blank=True, related_name='+', to='yeast.yeast'),
        ),
    ]
