import logging
from django import template

register = template.Library()

logger = logging.getLogger('django')


@register.filter
def get_value_in_qs(queryset, key):
    batch_list = ','.join([str(x.id) for x in queryset
                           if x.strain.id == key.id])

    if batch_list:
        return batch_list
    return ''
